AbstractLabeledEnum (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.core.enums

## Class AbstractLabeledEnum

- java.lang.Object
- - org.springframework.core.enums.AbstractLabeledEnum

- All Implemented Interfaces:
    Serializable, Comparable, LabeledEnum
  Direct Known Subclasses:
    AbstractGenericLabeledEnum, StaticLabeledEnum

  Deprecated.
  as of Spring 3.0, in favor of Java 5 enums.

      @Deprecated
      public abstract class AbstractLabeledEnum
      extends Object
      implements LabeledEnum

  Abstract base superclass for LabeledEnum implementations.
  Since:
    1.2.2
  Author:
    Keith Donald, Juergen Hoeller, Sam Brannen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.core.enums.LabeledEnum

      `CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractLabeledEnum()` Deprecated. Create a new AbstractLabeledEnum instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object obj)` Deprecated.
    `boolean` | `equals(Object obj)` Deprecated.
    `Class` | `getType()` Deprecated. Return this enumeration's type.
    `int` | `hashCode()` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.core.enums.LabeledEnum

      `getCode, getLabel`

- - ### Constructor Detail

    - #### AbstractLabeledEnum

          protected AbstractLabeledEnum()

      Deprecated.
      Create a new AbstractLabeledEnum instance.

  - ### Method Detail

    - #### getType

          public Class getType()

      Deprecated.
      Description copied from interface: `LabeledEnum`
      Return this enumeration's type.
      Specified by:
        `getType` in interface `LabeledEnum`

    - #### compareTo

          public int compareTo(Object obj)

      Deprecated.
      Specified by:
        `compareTo` in interface `Comparable`

    - #### equals

          public boolean equals(Object obj)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`